• Proceed with caution! Unofficial add-on plugins and abilities are not supported by the ProjectKorra staff. We will not provide support for broken add-ons. Download at your own risk.
Spirits

Spirits Beta 1.0.13

Dnil

Member
I had the same problem when I first downloaded the plugin. I don't know about your situation but my problem was the "Essentials" plugin.
If you have Essentials just set "teleport-invulnerability" to 0. If you don't have Essentials then sorry, I can't think of anything.

I hope I was helpful, have a good day.
Thanks you!
 
I'd like to point out a minor thing that annoys me while using the plugin.
When you do the Phase combo you need to press shift to exit the spectator gamemode. The problem is that the last ability for the Phase combo is Vanish; and since you can't change slots in gamemode 3 when you press shift to stop the combo it automatically puts Vanish on cooldown.
 

xNuminousx

Member
I'd like to point out a minor thing that annoys me while using the plugin.
When you do the Phase combo you need to press shift to exit the spectator gamemode. The problem is that the last ability for the Phase combo is Vanish; and since you can't change slots in gamemode 3 when you press shift to stop the combo it automatically puts Vanish on cooldown.
That is actually an intended feature that can be turned off with the config
 

xNuminousx

Member
Code:
      Combo:
        Phase:
          Enabled: true
          Cooldown: 20000
          Duration: 10000
          Range: 10
          MinHealth: 6
          Vanish:
            ApplyCooldown: true
            Cooldown: 20000
Set "applycooldown" to false or just set the cooldown number to whatever you want.
 

Pride

Member
"
Requirements
Minecraft version 1.11+
ProjectKorra version 1.8.3+ "
;-------------------------;
when posting an ability, the max version that we can set to is 1.8.3
but you should still update it to 1.8.6, 1.8.3 is outdated as hell
 

xNuminousx

Member
when posting an ability, the max version that we can set to is 1.8.3
but you should still update it to 1.8.6, 1.8.3 is outdated as hell
In the version compatibility tab, yes. But what they quoted was something I wrote. At the time of making the ability it did work for 1.8.3. Now, that may have changed over time but I’m not aware of it. But you are right, they should update.
 

Nicky0915

Member
Hate to bother you again, but I have noticed a minor problem in our Spirits config.

We have tried to custom-configure Orb in the config.yml for Project Korra, and no matter what we change the values to, it doesn't change the actual cooldown or damage etc in game. This is alarming because we have had no trouble configuring the other Spirits abilities.

Is this just us?
 

xNuminousx

Member
Is it certain variables that are not changing or is it all of them? It could have been an accidental mistake on my end, although I'm not experiencing this/haven't noticed it. I can do some testing and see what's up.
 

Nicky0915

Member
Is it certain variables that are not changing or is it all of them? It could have been an accidental mistake on my end, although I'm not experiencing this/haven't noticed it. I can do some testing and see what's up.
All of the Orb values we have tried to change do not change the in game values (cooldown, damage, range, etc.)
 

Daki1305

Member
Hey i found a bug. Maybe this can help ;p
[19:48:58] [Server thread/WARN]: [ProjectKorra] Task #50 for ProjectKorra v1.8.7 generated an exception
java.lang.NoSuchMethodError: com.projectkorra.projectkorra.util.MovementHandler.<init>(Lorg/bukkit/entity/LivingEntity;)V
at me.xnuminousx.spirits.ability.water.Corrupt.progress(Corrupt.java:152) ~[?:?]
at com.projectkorra.projectkorra.ability.CoreAbility.progressAll(CoreAbility.java:234) ~[?:?]
at com.projectkorra.projectkorra.BendingManager.run(BendingManager.java:111) ~[?:?]
at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftTask.run(CraftTask.java:71) ~[Spigot.jar:git-Spigot-7228328-11323bf]
at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:353) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.MinecraftServer.D(MinecraftServer.java:738) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.DedicatedServer.D(DedicatedServer.java:405) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.MinecraftServer.C(MinecraftServer.java:678) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:576) [Spigot.jar:git-Spigot-7228328-11323bf]
at java.lang.Thread.run(Thread.java:748) [?:1.8.0_171]
------------------------------------------------------
[19:54:35] [Server thread/WARN]: [ProjectKorra] Task #50 for ProjectKorra v1.8.7 generated an exception
java.lang.NoSuchMethodError: com.projectkorra.projectkorra.util.MovementHandler.<init>(Lorg/bukkit/entity/LivingEntity;)V
at me.xnuminousx.spirits.ability.water.Purify.progress(Purify.java:151) ~[?:?]
at com.projectkorra.projectkorra.ability.CoreAbility.progressAll(CoreAbility.java:234) ~[?:?]
at com.projectkorra.projectkorra.BendingManager.run(BendingManager.java:111) ~[?:?]
at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftTask.run(CraftTask.java:71) ~[Spigot.jar:git-Spigot-7228328-11323bf]
at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:353) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.MinecraftServer.D(MinecraftServer.java:738) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.DedicatedServer.D(DedicatedServer.java:405) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.MinecraftServer.C(MinecraftServer.java:678) [Spigot.jar:git-Spigot-7228328-11323bf]
at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:576) [Spigot.jar:git-Spigot-7228328-11323bf]
at java.lang.Thread.run(Thread.java:748) [?:1.8.0_171]
 

xNuminousx

Member
Thank you for the report. Spirits hasn't yet been tested with 1.8.7 so I don't recommend using it with that. I'll try to get a working version out soon.
 

xNuminousx

Member
Issue found: In the latest ProjectKorra update (1.8.7) they've updated their MovementHandler API a bit. The abilities Purify and Corrupt use this and will need to be updated to work with 1.8.7. Until this happens, I recommend disabling the abilities.
 

xNuminousx

Member
Also, for those who clone Spirits on GitHub, I accidentally removed the JRE from the libraries so if you imported it, it seems broken. I've added the JRE back so you should be able to clone without issue now.
 
Top